Subject: Re: [MEXT] Operations Directorate Review of draft-ietf-mext-flow-binding-06

From: Hesham Soliman <[email-masked]>
Date: Sat, 01 May 2010 21:14:50 +1000

Thanks Bert, 

> Specifically my task was too look at operational/network-management aspects.
> 
> When I read:
>    Home agents that support this specification MAY refuse to maintain
>    flow bindings by setting the status field of any flow identification
>    mobility options to the value defined for "Administratively
>    prohibited" in Section 4.2, or by just ignoring all the flow binding
>    options.
> 
> Then it sounds to me as if something "administrative" needs to be configured,
> no?
> I see no discussion at all, how this "administratively prohibition" is/can be
> configured.
> So I cannot determine if/how that impact operation and/or network management
> aspects of the protocol extension.

=> This implies that the HA implementation may allow the admin to configure
this behaviour, i.e., something like "Flow_option_support False".
This kind of detail was not explained because there is at least a couple of
dozen config paramters that one could extrapolate from the MIPv6 spec and
we're just re-using that spec. So the spec is essentially saying that you
can use the same response code in MIPv6 to respond to this option.

Do you think we need to spell that out?

Hesham

> 
> Other than that, the document seems fine.
> 
> Bert
> I copied the mext WG mailing list, but I am not subscribed to that one.
> SO it may have to be approved.
> 
>   ----- Original Message -----
>   From: Tina TSOU
>   To: [email-masked]
>   Cc: Dan (Dan) Romascanu ; Ron Bonica
>   Sent: Monday, April 26, 2010 11:31 AM
>   Subject: Operations Directorate Review of draft-ietf-mext-flow-binding-06 by
> 2010-05-03
> 
> 
>   Hello,
> 
>   As a member of the Operations Directorate you are being asked to review the
> 
>   following IESG work item for it's operational impact.
> 
> 
> 
>   IETF Last Call:
> 
> The file can be obtained via
> http://www.ietf.org/internet-drafts/draft-ietf-mext-flow-binding-06.txt
> 
> 
> IESG discussion can be tracked via
> https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTag=17255&
> rfc_flag=0Please provide comments and review to the Ops-dir mailing list
> 
>   ([email-masked]) before 2010-05-03, and include the authors of the
> 
>   draft as well.
> 
> 
> 
>   For a list of questions to be answered in an OPS-DIR review see Appendix A
> in RFC 5706. Note that not all questions may apply to all documents, and some
> other items may be identified by the OPS-DIR reviews.
> 
> 
> 
> 
> 
>   The status of Operations Directorate Review could be found
>   http://trac.tools.ietf.org/area/ops/trac/wiki/Directorates
> 
> 
>   You could wiki it when you finish the review.
> 
> 
>   Thank you,
> 
>   Tina
> 
>   http://tinatsou.weebly.com/contact.html
> 
>

---

From: Hesham Soliman <[email-masked]>
Date: Sat, 01 May 2010 23:31:21 +1000

> I think it would be usefull to spell that out, WITH a ptr to the RFC that
> actually describes it.
> Which one is that? Then I can check.

=> It's RFC 3775, but from memory it doesn't actually say anything about
"configurable parameters". It uses the same error code and it is implied
that this behaviour would be configurable.

> 
> I am not doing a security review, but I would think that if I were, I would
> like
> you to also add a ptr to the RFC you are refering to in that section.

=> ok.

Thanks,
Hesham

---

From: "Bert Wijnen \(IETF\)" <[email-masked]>
Date: Sat, 1 May 2010 12:40:51 +0200

I did the OPS-DIRECTORATE review for this document.

When I read:

Then it sounds to me as if something "administrative" needs to be configured, no?
I see no discussion at all, how this "administratively prohibition" is/can be configured.
So I cannot determine if/how that impact operation and/or network management 
aspects of the protocol extension.

Bert

  ----- Original Message ----- 
  From: Tina TSOU 
  To: [email-masked] 
  Cc: Dan (Dan) Romascanu ; Ron Bonica 
  Sent: Monday, April 26, 2010 11:31 AM
  Subject: Operations Directorate Review of draft-ietf-mext-flow-binding-06 by 2010-05-03

  Hello,

  IETF Last Call:

IESG discussion can be tracked via
https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTag=17255&rfc_flag=0Please provide comments and review to the Ops-dir mailing list

  draft as well.

  For a list of questions to be answered in an OPS-DIR review see Appendix A in RFC 5706. Note that not all questions may apply to all documents, and some other items may be identified by the OPS-DIR reviews.

  Thank you,

  Tina

---

From: "Bert Wijnen \(IETF\)" <[email-masked]>
Date: Sat, 1 May 2010 15:26:31 +0200

Inline
----- Original Message ----- 
From: "Hesham Soliman" <[email-masked]>
To: "Bert Wijnen (IETF)" <[email-masked]>; <[email-masked]>; 
<[email-masked]>; <[email-masked]>; 
<[email-masked]>
Cc: "Dan (Dan) Romascanu" <[email-masked]>; "Ron Bonica" 
<[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Saturday, May 01, 2010 1:14 PM
Subject: Re: Operations Directorate Review of 
draft-ietf-mext-flow-binding-06

Bert